create table if not exists accounts(
    id integer primary key,
    username text not null,
    hash text not null
);

create table if not exists requests(
    id integer primary key,
    name text not null,
    account integer not null,
    foreign key (account) references accounts(id) on delete cascade
);

create table if not exists domains(
    id integer primary key,
    name text not null,
    account integer not null,
    soaserial integer not null default 0,
    foreign key (account) references accounts(id)
);

create table if not exists records(
    id integer primary key,
    domain integer not null,
    name text not null,
    type text not null,
    content text not null,
    ttl integer not null,
    foreign key (domain) references domains(id) on delete cascade
);

create unique index if not exists name_index on domains (name);
create unique index if not exists username_index on accounts (username);
